# fslock.h File Reference

`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/types.h>`
`#include <gwenhywfar/db.h>`

Go to the source code of this file.

## Defines

#define | GWEN_FSLOCK_CBID_IO "GWEN_FSLOCK_CBID_IO"
#define | GWEN_FSLOCK_TIMEOUT_FOREVER (-1)
#define | GWEN_FSLOCK_TIMEOUT_NONE (0)

## Typedefs

typedef GWEN_FSLOCK | GWEN_FSLOCK

## Enumerations

enum | GWEN_FSLOCK_RESULT { GWEN_FSLock_ResultOk = 0, GWEN_FSLock_ResultError, GWEN_FSLock_ResultTimeout, GWEN_FSLock_ResultBusy, GWEN_FSLock_ResultNoLock, GWEN_FSLock_ResultUserAbort }
enum | GWEN_FSLOCK_TYPE { GWEN_FSLock_TypeUnknown = 0, GWEN_FSLock_TypeFile, GWEN_FSLock_TypeDir }

## Functions

GWENHYWFAR_API void | GWEN_FSLock_free (GWEN_FSLOCK *fl)
GWENHYWFAR_API GWEN_FSLOCK_RESULT | GWEN_FSLock_Lock (GWEN_FSLOCK *fl, int timeout)
GWENHYWFAR_API GWEN_FSLOCK * | GWEN_FSLock_new (const char *fname, GWEN_FSLOCK_TYPE t)
GWENHYWFAR_API GWEN_FSLOCK_RESULT | GWEN_FSLock_Unlock (GWEN_FSLOCK *fl)